function [ s_max, total_cost, t_g_per, s_i_per, n_s_per, t_per ] = fig_cost_HW3(power_MW, min_turbines, step, max_turbines)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

demand_data = xlsread('nydemand');

p = 1;
for number_turbines = min_turbines:step:max_turbines %steps through range of turbines

total_power = power_MW * number_turbines;
total_production = trapz(total_power);

[storage_array, storage_input, storage_output, not_supplied] = battery_func(total_power, demand_data); %this line calls YOUR battery_func

%production/battery figures
turbine_to_grid = total_production - storage_input; %how much energy went straight to the grid
throwaway = storage_input - storage_output; %how much energy was left in the battery at the end of the year
%cost is given per kWh & must be converted
production_cost = turbine_to_grid * 0.09 * 1000; %cost of producing wind power
battery_cost = storage_output * 0.14 * 1000; %cost of using energy from battery
throwaway_cost = throwaway * 0.09 * 1000; %cost of tossed wind power generated by turbine (same cost as producing wind)
gen_cost = abs(not_supplied) * 0.017 * 1000; %cost of using gas turbine

%Output
s_max(p) = max(storage_array); %maximum storage needed
total_cost(p) = production_cost + battery_cost + throwaway_cost + gen_cost; %total cost of the system
t_g_per(p) = (turbine_to_grid / total_production) * 100; %percent of wind turbine energy that went directly to the grid
s_i_per(p) = (storage_input / total_production) * 100; %percent of wind turbine energy put in storage
n_s_per(p) = (-not_supplied / trapz(demand_data)) * 100; %percent of demand supplied by gas turbines
t_per(p) = (throwaway / total_production) * 100; %percent of wind turbine energy not used by the end of the year

p = p + 1;
end
end
